Name:           librsvg2
Version:        2.50.5
Release:        2
Summary:        An SVG library based on cairo
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/LibRsvg
Source0:        https://download.gnome.org/sources/librsvg/2.46/librsvg-%{version}.tar.xz

Patch6000:      backport-CVE-2023-38633.patch

BuildRequires:  chrpath gcc gobject-introspection-devel cairo-devel libxml2-devel 
BuildRequires:  fontconfig-devel gdk-pixbuf2-devel glib2-devel pkgconfig(cairo-gobject) >= 1.16.0
BuildRequires:  pango-devel vala cargo rust

Requires:       gdk-pixbuf2 cairo >= 1.16.0

%description
An SVG library based on cairo.

%package        devel
Summary:        Libraries and include files for developing with librsvg
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides the necessary development libraries and include
files to allow you to develop with librsvg.

%package tools
Summary:        Extra tools for librsvg
Requires:       %{name} = %{version}-%{release}

%description tools
This package provides extra utilities based on the librsvg library.

%package_help

%prep
%autosetup -n librsvg-%{version} -p1

%build
autoreconf
export CFLAGS=$(echo %{?optflags} | sed 's/ -g / /g')
%configure --disable-static --disable-gtk-doc --enable-introspection --enable-vala
make

%install
%make_install
%delete_la

%find_lang librsvg

chrpath --delete %{buildroot}%{_bindir}/rsvg-convert
chrpath --delete %{buildroot}%{_libdir}/gdk-pixbuf-2.0/*/loaders/libpixbufloader-svg.so

rm -vrf %{buildroot}%{_datadir}/doc

%files -f librsvg.lang
%defattr(-,root,root)
%license COPYING.LIB
%{_libdir}/librsvg-2.so.*
%{_libdir}/gdk-pixbuf-2.0/*/loaders/libpixbufloader-svg.so
%{_libdir}/girepository-1.0/Rsvg-2.0.typelib
%{_datadir}/thumbnailers/*.thumbnailer

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/librsvg-2.0/
%{_datadir}/gir-1.0/Rsvg-2.0.gir
%{_datadir}/vala/vapi/librsvg-2.0.vapi

%files tools
%defattr(-,root,root)
%{_bindir}/rsvg-convert

%files help
%defattr(-,root,root)
%doc CONTRIBUTING.md README.md
%{_datadir}/gtk-doc/html/rsvg-2.0
%{_mandir}/man1/*.1*

%changelog
* Wed Aug 30 2023 zhangpan <zhangpan103@h-partners.com> - 2.50.5-2
- Type: CVE
- ID:   CVE-2023-38633
- SUG:  NA
- DESC: fix CVE-2023-38633

* Mon May 31 2021 hanhui <hanhui15@huawei.com> - 2.50.5-1
- Type: enhancement
- ID:   NA
- SUG:  NA
- DESC: update to 2.50.5,delete libcroco dependency

* Mon Apr 19 2021 zhanzhimin<zhanzhimin@huawei.com> - 2.46.4-2
- Type: bugfix
- ID:   NA
- SUG:  NA
- DESC: eliminate-difference

* Thu Oct 15 2020 yanglu <yanglu60@huawei.com> - 2.46.4-1
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:update to 2.46.4

* Thu Jan 16 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.44.15-1
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:update to 2.44.15

* Wed Dec 25 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.44.6-3
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: optimization the spec of librsvg2

* Mon Sep 16 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.44.6-2
- Package init
